.btn {
    border: none;
    outline: none;
    cursor: pointer;
    height: rem(42);
    font-weight: 600;
    font-size: rem(15);
    line-height: rem(18);
    padding: rem(8) rem(20);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border-radius: 30px;

    &:hover {
        text-decoration: none;
    }

    &:active {

    }

    &:focus,
    &.focus {
        outline: 0;

    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(16);
    }

    span + i {
        margin-left: rem(10);
    }

    i + span {
        margin-left: rem(10);
    }

    @include media-breakpoint-up(md) {
        height: rem(53);
        font-size: rem(17);
        line-height: rem(21);
        padding: rem(8) rem(30);
    }
}

.btn-purple {
    fill: $white;
    color: $white;
    background: linear-gradient(277.75deg, #312782 6.54%, #3A2582 10.04%, #951180 51.17%, #CF057E 80.04%, #E5007E 94.04%);

    &:hover {
        fill: $white;
        color: $white;
        background: linear-gradient(0deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0.15)), linear-gradient(277.75deg, #312782 6.54%, #3A2582 10.04%, #951180 51.17%, #CF057E 80.04%, #E5007E 94.04%);
    }

    &:active {
        background: linear-gradient(277.75deg, #312782 6.54%, #3A2582 10.04%, #951180 51.17%, #CF057E 80.04%, #E5007E 94.04%);
    }
}

.btn-border {
    fill: $violet;
    color: $violet;
    background: $white;
    border: 1px solid $gray;

    &:hover {
        fill: $violet;
        color: $violet;
        border-color: $violet;
    }

    &:active {
        border-color: $gray;
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.icon-social {
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    display: block;
    width: rem(30);
    height: rem(30);
    overflow: hidden;
    border-radius: 50%;
    position: relative;

    &:before {
        top: 0;
        left: 0;
        z-index: 5;
        content: '';
        width: 100%;
        height: 100%;
        border-radius: 50%;
        position: absolute;
        background: rgba(255, 255, 255, 0.2);
        opacity: 0;
        transition: .3s;
    }

    &:hover {

        &:before {
            opacity: 1;
            transition: .3s;
        }
    }

    &--md {
        width: rem(35);
        height: rem(35);
    }

    &--youtube {
        background: #FF0000;
    }

    &--twitter {
        background: #1D9BF0;
    }

    &--telegram {
        background: linear-gradient(180deg, #2AABEE 0%, #229ED9 99.26%);
    }

    @include media-breakpoint-up(md) {
        width: rem(35);
        height: rem(35);

        &--md {
            width: rem(45);
            height: rem(45);
        }
    }
}


.btn-nav {
    margin: 0;
    padding: 0;
    width: 50px;
    height: 50px;
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    cursor: pointer;
    fill: url(#grad);
    border-radius: 50%;
    background: $white;
    position: relative;
    box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);

    &:before {
        top: -5px;
        left: -5px;
        right: -5px;
        bottom: -5px;
        content: '';
        z-index: -1;
        border-radius: 50%;
        position: absolute;
        background: rgba(255, 255, 255, 0.3);
    }

    i {
        z-index: 5;
        height: 20px;
        position: relative;
        display: inline-block;
    }

    &:hover {
        fill: $white;
        background: linear-gradient(277.75deg, #312782 6.54%, #3A2582 10.04%, #951180 51.17%, #CF057E 80.04%, #E5007E 94.04%);
    }

    &.swiper-button-disabled,
    &.disabled,
    &:disabled {
        fill: $gray;
        background: $white;
        cursor: default;

        &:hover {
            fill: $gray;
            background: $white;
        }
    }
}

